org.apache.felix.ipojo.composite.service.provides

## Class ProvidedServiceHandler

- java.lang.Object
- - org.apache.felix.ipojo.Handler
  - - org.apache.felix.ipojo.composite.CompositeHandler
    - - org.apache.felix.ipojo.composite.service.provides.ProvidedServiceHandler

All Implemented Interfaces:
  DependencyStateListener

    public class ProvidedServiceHandler
    extends CompositeHandler
    implements DependencyStateListener

Composite Provided Service Handler.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.composite.CompositeHandler

`HANDLER_TYPE`

### Fields inherited from class org.apache.felix.ipojo.Handler

`HANDLER_LEVEL_PROPERTY, HANDLER_NAME_PROPERTY, HANDLER_NAMESPACE_PROPERTY, HANDLER_TYPE_PROPERTY, m_instance, m_isValid`

### Constructor Summary

Constructors
Constructor and Description
`ProvidedServiceHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(org.apache.felix.ipojo.metadata.Element metadata, java.util.Dictionary configuration)` Configure the handler.
`HandlerDescription` `getDescription()`
`java.util.List` `getInstanceType()`
`protected java.util.List` `getSpecifications()` Build the list of available specification.
`void` `initializeComponentFactory(ComponentTypeDescription desc, org.apache.felix.ipojo.metadata.Element metadata)` Initialize the component type.
`void` `invalidate(DependencyModel exporter)` Notify the handler that an exporter becomes invalid.
`void` `start()` Start method.
`void` `stateChanged(int state)` Handler state changed.
`void` `stop()` Stop method.
`void` `validate(DependencyModel exporter)` Notify the handler that an exporter becomes valid.

### Methods inherited from class org.apache.felix.ipojo.composite.CompositeHandler

`attach, getCompositeManager, getHandler, getLogger, setFactory`

### Methods inherited from class org.apache.felix.ipojo.Handler

`debug, error, error, getHandlerManager, getValidity, info, isValid, reconfigure, setValidity, warn, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProvidedServiceHandler

    public ProvidedServiceHandler()

### Method Detail

#### initializeComponentFactory

    public void initializeComponentFactory(ComponentTypeDescription desc,
                                           org.apache.felix.ipojo.metadata.Element metadata)
                                    throws ConfigurationException

Initialize the component type.

Overrides:
  `initializeComponentFactory` in class `Handler`
Parameters:
  `desc` - : component type description to populate.
  `metadata` - : component type metadata.
Throws:
  `ConfigurationException` - : metadata are incorrect.
See Also:
  `Handler.initializeComponentFactory(org.apache.felix.ipojo.architecture.ComponentTypeDescription, org.apache.felix.ipojo.metadata.Element)`

#### configure

    public void configure(org.apache.felix.ipojo.metadata.Element metadata,
                          java.util.Dictionary configuration)
                   throws ConfigurationException

Configure the handler.

Specified by:
  `configure` in class `Handler`
Parameters:
  `metadata` - : the metadata of the component
  `configuration` - : the instance configuration
Throws:
  `ConfigurationException` - : the exporter cannot be created
See Also:
  `Handler.configure(org.apache.felix.ipojo.metadata.Element, java.util.Dictionary)`

#### start

    public void start()

Start method. Start all managed provided service.

Specified by:
  `start` in class `Handler`
See Also:
  `Handler.start()`

#### stop

    public void stop()

Stop method. Stop all managed provided service.

Specified by:
  `stop` in class `Handler`
See Also:
  `Handler.stop()`

#### stateChanged

    public void stateChanged(int state)

Handler state changed.

Overrides:
  `stateChanged` in class `Handler`
Parameters:
  `state` - : the new instance state.
See Also:
  `Handler.stateChanged(int)`

#### invalidate

    public void invalidate(DependencyModel exporter)

Notify the handler that an exporter becomes invalid.

Specified by:
  `invalidate` in interface `DependencyStateListener`
Parameters:
  `exporter` - : the implicated exporter.

#### validate

    public void validate(DependencyModel exporter)

Notify the handler that an exporter becomes valid.

Specified by:
  `validate` in interface `DependencyStateListener`
Parameters:
  `exporter` - : the implicated exporter.

#### getSpecifications

    protected java.util.List getSpecifications()

Build the list of available specification.

Returns:
  the list of available specification.

#### getDescription

    public HandlerDescription getDescription()

Overrides:
  `getDescription` in class `Handler`

#### getInstanceType

    public java.util.List getInstanceType()